use tauri::State;

use crate::{AppState, CommandResult, models::menu_cate, service::category::Category};

#[tauri::command]
pub async fn get_category(app_state: State<'_, AppState>) -> CommandResult<menu_cate::Model> {
    let category = Category::new(app_state.conn.clone());
    let categories = category.get_category_commodity().await;
    match categories {
        Ok(Some(categories)) => Ok(categories),
        Err(e) => Err(format!("请求分类失败{:?}", e)),
        _ => Err(format!("没有分类")),
    }
    // Ok("111".into())
}
