use std::sync::Arc;

use sea_orm::{DatabaseConnection, EntityTrait};

use crate::models::{menu_cate, prelude::MenuCate};

pub struct Category {
    conn: Arc<DatabaseConnection>,
}

impl Category {
    pub fn new(conn: Arc<DatabaseConnection>) -> Self {
        return Self { conn };
    }
    pub async fn get_category_commodity(&self) -> anyhow::Result<Option<menu_cate::Model>> {
        let categories: Option<menu_cate::Model> = MenuCate::find().one(&*self.conn).await?;

        Ok(categories)
    }
}
